﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

public static class SystemClassesExtensions
{
    public static bool CheckAccessGranted(this FileSystemInfo fsi)
    {
        try {
            Directory.GetFileSystemEntries(fsi.FullName);
            return true;
        }
        catch (UnauthorizedAccessException) {
        }
        return false;
    }
}