﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace Varuna.Modules.Utils.Windows
{
    public partial class AskText : Window
    {
        public string AskQuestion { get; set; }
        public string Result { get; set; }

        public AskText(string title, string askquestion, string result)
        {
            this.Title = title;
            this.AskQuestion = askquestion;

            this.Result = result;

            InitializeComponent();

            this.TextboxResult.SelectionLength = this.Result.Length;
            this.TextboxResult.Focus();

            this.ShowDialog();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            this.Close();
        }

        private void Window_KeyUp(object sender, KeyEventArgs e)
        {
            if (e.Key == Key.Enter || e.Key == Key.Escape)
                this.Close();
        }
    }
}
