﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;

namespace Varuna.Modules.Explorer.Converters
{
    public class ExplorerNameDisplayConverter : IMultiValueConverter
    {
        public object Convert(object[] values, Type targetType, object parameter, CultureInfo culture)
        {
            string ret = !String.IsNullOrEmpty((string)values[1]) ? (string)values[1] : (string)values[0];
            return ret.Length > 30 ? $"{String.Join("", ret.Take(27))}..." : ret;
        }

        public object[] ConvertBack(object value, Type[] targetTypes, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
